# ai_core.cpp File Reference

Implementation of AI. More...

`#include "../stdafx.h"`
`#include "../core/bitmath_func.hpp"`
`#include "../company_base.h"`
`#include "../company_func.h"`
`#include "../debug.h"`
`#include "../network/network.h"`
`#include "../window_func.h"`
`#include "../command_func.h"`
`#include "ai_scanner.hpp"`
`#include "ai_instance.hpp"`
`#include "ai_config.hpp"`
`#include "api/ai_error.hpp"`

Go to the source code of this file.

## Functions
void | CcAI (const CommandCost &result, TileIndex tile, uint32 p1, uint32 p2)

## Detailed Description

Implementation of AI.

Definition in file ai_core.cpp.